package events;

import org.lwjgl.util.vector.Vector3f;

import actor.Actor;
import event.EventData;
import event.events.ActorEvent;

/**
 * Innere Klassen definieren Events, die mit der GameLogic zusammenhaengen
 * 
 * @author Erik Wittkorn
 */
public class LogicEvents {
    
    /**
     * Wird geworfen, wenn ein Pickup aufgesammelt wird.
     * Hat Referenzen auf den Actor des Aufsammlers und den Actor des Pickups.
     */
    public static class CollectPickupEvent extends EventData {
        public static final int ID = 0x48f7c507;
        
        private final Actor player;
        private final Actor pickup;
        
        public CollectPickupEvent(Actor player, Actor pickup) {
        	this.player = player;
        	this.pickup = pickup;
        }
        
        @Override
        public int getId() {
            return ID;
        }

		public Actor getPlayer() {
			return player;
		}

		public Actor getPickup() {
			return pickup;
		}
    }
    
}
