package events;

import event.events.ToggleEvent;

/**
 * Innere Klassen definieren Events, die mit dem Input zusammenhaengen.
 * Events sind von ToggleEvent abgeleitet und haben deswegen einen
 * aktiv/nicht aktiv status
 * 
 * @author Erik Wittkorn
 */
public class MoveEvents {
    public static class ForwardEvent extends ToggleEvent {
        public static final int ID = 0x19975e7a;

        @Override
        public int getId() {
            return ID;
        }
    }
    
    public static class BackwardEvent extends ToggleEvent {
        public static final int ID = 0x35d76bed;

        @Override
        public int getId() {
            return ID;
        }
    }
    
    public static class StrafeLeftEvent extends ToggleEvent {
        public static final int ID = 0x66e04586;

        @Override
        public int getId() {
            return ID;
        }
    }
    
    public static class StrafeRightEvent extends ToggleEvent {
        public static final int ID = 0xbeccda91;

        @Override
        public int getId() {
            return ID;
        }
    }
}
