package input;

import processes.PlayerController;
import logic.MageQuestLogic;
import event.EventData;
import event.EventListener;
import event.events.ToggleEvent;
import events.MoveEvents;

/**
 * Dieser Listener hoert auf alle Input-Events und setzt sie in korrekte Befehle
 * fuer die GameLogic um
 * 
 * @author Erik Wittkorn
 */
public class InputListener implements EventListener {

	@Override
	public void trigger(EventData data) {
		// Event wird auf ToggleEvent gecastet, damit man seinen Status abfragen kann
		ToggleEvent controlEvent = (ToggleEvent)data;
		switch (controlEvent.getId()) {
			case MoveEvents.ForwardEvent.ID :
				// Ein Forward Event ist angekommen
				if (controlEvent.isActivated()) {
					// Das Event ist aktiv, also wurde die Taste gedrueckt
					MageQuestLogic.movePlayer(PlayerController.DIR_FORWARD);
				}
				break;
			case MoveEvents.BackwardEvent.ID :
				if (controlEvent.isActivated()) {
					MageQuestLogic.movePlayer(PlayerController.DIR_BACKWARD);
				}
				break;
			case MoveEvents.StrafeLeftEvent.ID :
				if (controlEvent.isActivated()) {
					MageQuestLogic.movePlayer(PlayerController.DIR_STRAFELEFT);
				}
				break;
			case MoveEvents.StrafeRightEvent.ID :
				if (controlEvent.isActivated()) {
					MageQuestLogic.movePlayer(PlayerController.DIR_STRAFERIGHT);
				}
				break;
			default:
				break;	
		}
	}

}
