package main;

import logic.MageQuestLogic;
import view.scene.SceneScreenElement;

/**
 * Aufbau interaktiver 3D-Engines
 * Uebungsblatt 2 Ausgabe 23.04.2013, Abgabe 03.05.2013
 * 
 * @author Erik Wittkorn
 */
public class MageQuest {

	public static void main(String[] args) {
		// Die richtige eigene GameLogic wird gesetzt
		GameApp.setGameLogic(new MageQuestLogic());
		// Es wird eine Default-Config gesetzt
        GameApp.setConfigFile(Main.class.getResourceAsStream("/main/magequest_defaultconfig.ini"));
		if (GameApp.init()) {
			// Nach der Initialisierung wird eine Szene erstellt
            GameApp.getGameLogic().getHumanView().pushElement(new SceneScreenElement("basescene"));
            // Und das Level geladen
			GameApp.getGameLogic().loadLevel("levels/MageQuestScene1.xml");
			// MainLoop starten!!!
			GameApp.mainloop();
			GameApp.destroy();
		} else {
			System.err.println("Something went horribly wrong");
		}
	}

}
