package main;

import parser.DOMRectangleShapeParser;
import parser.SAXRectangleShapeParser;
import model.RectangleShape;

public class Main {

	/**
	 * Referenzen fuer die zu parsenden Objekte
	 */
	private static RectangleShape DOMRectangleShape = null;
	
	private static RectangleShape SAXRectangleShape = null;
	
	public static void main(String[] args) {

		// RectangleShape.xml wird nach dem DOM-Modell geparst
		Main.DOMRectangleShape = DOMRectangleShapeParser.parse("xml/RectangleShape.xml");
		
		// RectangleShape.xml wird mit der SAX-API geparst
		Main.SAXRectangleShape = SAXRectangleShapeParser.parse("xml/RectangleShape.xml");
		
		// Ausgaben der Ergebnisse
		System.out.println("Debug-Ausgaben: \nDOM:");
		System.out.println(Main.DOMRectangleShape);
		System.out.println("SAX:");
		System.out.println(Main.SAXRectangleShape);
	}

}
