package model;

import org.lwjgl.util.vector.Vector2f;

/**
 * Prototypische Klasse fuer eine Fantasie-Form
 * mit einer Position und Groesse mit zwei Dimensionen
 * und einer Farbe
 */
public class RectangleShape {

	/**
	 * Die Position der Form im zweidimensionalen Raum
	 */
	private Vector2f position;
	
	/**
	 * Die Groesse der Form in zwei Dimensionen, wobei
	 * x der Breite und y der Hoehe entspricht
	 */
	private Vector2f size;
	
	/**
	 * Der Name der Farbe
	 */
	private String color;
	
	public RectangleShape() {
		position = new Vector2f();
		size = new Vector2f();
		color = null;
	}
	
	public void setPosition(float x, float y) {
		this.position.setX(x);
		this.position.setY(y);
	}
	
	public Vector2f getPosition() {
		return this.position;
	}
	
	public void setSize(float width, float height) {
		this.size.setX(width);
		this.size.setY(width);
	}
	
	public Vector2f getSize() {
		return this.size;
	}
	
	public void setColor(String color) {
		this.color = color;
	}
	
	public String getColor() {
		return this.color;
	}
	
	public String toString() {
		String description = "RectangleShape\n";
				description += "Position: (" + this.position.x + ", " + this.position.y + ")\n";
				description += "Size: (" + this.size.x + ", " + this.size.y + ")\n";
				description += "Color: " + this.color + '\n';
		return description;
	}

}
