package model;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

import main.GameApp;

import org.w3c.dom.Node;

import resource.ResHandle;
import resource.Resource;

import util.XMLUtil;

public class Level {
	
	int xSize = 0;
	
	int zSize = 0;
	
	int xOffset = 0;
	
	int yOffset = 0;
	
	int zOffset = 0;
	
	int tileSize = 0;
	
	String file = null;
	
	int[][] elements;
	
	public void createFromLevelNode(Node levelNode) {
		xSize = XMLUtil.getAttributeAsInt(levelNode, "xSize", 0);
		zSize = XMLUtil.getAttributeAsInt(levelNode, "zSize", 0);
		xOffset = XMLUtil.getAttributeAsInt(levelNode, "xOffset", 0);
		yOffset = XMLUtil.getAttributeAsInt(levelNode, "yOffset", 0);
		zOffset = XMLUtil.getAttributeAsInt(levelNode, "zOffset", 0);
		tileSize = XMLUtil.getAttributeAsInt(levelNode, "tileSize", 0);
		file = XMLUtil.getAttributeAsString(levelNode, "file");
		
		elements = new int[xSize][zSize];
		
        ResHandle handle = GameApp.getResCache().getHandle(new Resource(this.file));
        if (handle != null) {
        	try {
	        	BufferedReader reader = new BufferedReader(new InputStreamReader(handle.getBufferAsInputStream()));
	            int z = 0;
	            String line =null;
				while((line = reader.readLine()) != null) {
				    String[] lineElements = line.split(" ");
				    for (int x = 0; x < lineElements.length; x++) {
				    	elements[x][z] = Integer.valueOf(lineElements[x]);
				    }
				    z++;
				}
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
        }
	}

}
