package model;

/**
 * Prototypische Klasse fuer die BoundingSphere eines Actors
 * 
 * Sie ist eine Kugel um den Mittelpunkt des Actors, die ihn umschliesst
 * und kann so fuer Sichtbarkeitstests genutzt werden
 * 
 * @author Erik Wittkorn
 */
public class BoundingSphere {
	
	/**
	 * Da die Kugel den Mittelpunkt des Actors als Position
	 * nutzt, reicht ein Radius zur Beschreibung aus
	 */
	private float radius;
	
	/**
	 * Im Konstruktor wird der Radius initial auf 0 gesetzt
	 */
	public BoundingSphere() {
		this.radius = 0.0f;
	}
	
	public void setRadius(float radius) {
		this.radius = radius;
	}
	
	public float getRadius() {
		return this.radius;
	}
	
	/**
	 * Gibt alle verfuegbaren Informationen ueber die BoundingSphere
	 * als String zurueck 
	 */
	public String toString() {
		String description = "BoundingSphere mit Radius: " + this.radius;
		return description;
	}

}
